<?php

namespace filebase\system\event\listener;

use filebase\data\license\UserLicenseAction;
use wcf\system\event\listener\IParameterizedEventListener;

/**
 * Updates usernames when username has changed
 *
 * @author           Florian Gail
 * @copyright        2018 Florian Gail <https://www.mysterycode.de/>
 * @license          Kostenpflichtige Produkte <https://www.mysterycode.de/licenses/kostenpflichtige-produkte/>
 * @package          de.mysterycode.filebase.userlicenses
 */
class UserLicenseRemovalListener implements IParameterizedEventListener {
	/**
	 * @inheritDoc
	 */
	public function execute($eventObj, $className, $eventName, array &$parameters) {
		/** @var \filebase\data\license\LicenseAction $eventObj */
		
		if ($eventObj->getActionName() == 'delete' || $eventObj->getActionName() == 'deleteAll') {
			$objects = [];
			foreach ($eventObj->getObjects() as $object) {
				if ($object->isUserLicense) $objects[] = $object;
			}
			
			if (!empty($objects)) {
				$deleteAction = new UserLicenseAction([], 'deleteFile');
				$deleteAction->executeAction();
			}
		}
	}
}
