<?php

namespace filebase\system\event\listener;

use wcf\system\event\listener\IParameterizedEventListener;
use wcf\system\WCF;

/**
 * Updates usernames when username has changed
 *
 * @author           Florian Gail
 * @copyright        2018 Florian Gail <https://www.mysterycode.de/>
 * @license          Kostenpflichtige Produkte <https://www.mysterycode.de/licenses/kostenpflichtige-produkte/>
 * @package          de.mysterycode.filebase.userlicenses
 */
class UserLicenseUserRenameListener implements IParameterizedEventListener {
	/**
	 * @inheritDoc
	 */
	public function execute($eventObj, $className, $eventName, array &$parameters) {
		$objects = $eventObj->getObjects();
		$userID = $objects[0]->userID;
		$parameters = $eventObj->getParameters();
		$username = $parameters['data']['username'];
		
		$sql = "UPDATE		filebase" . WCF_N . "_license
			SET		username = ?
			WHERE		userID = ?";
		$statement = WCF::getDB()->prepareStatement($sql);
		$statement->execute([$username, $userID]);
	}
}
